# fn() ignoreUnusedVariableWarning
Removes unused variable warning.

Defined in | <seqan/basic.h>
Signature | `void ignoreUnusedVariableWarning(x);`

## Parameters

`x` | Variable that causes the unused variable warning.

## Detailed Description

It sometimes is necessary to define variables which are not further used, e.g. to check available assignment operators. Use this functions to remove a compile warning that otherwise would be raised in this case.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn ignoreUnusedVariableWarning
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Removes unused variable warning.
     *
     * @signature void ignoreUnusedVariableWarning(x);
     *
     * @param[in] x Variable that causes the unused variable warning.
     *
     * It sometimes is necessary to define variables which are not further used,
     * e.g. to check available assignment operators. Use this functions to remove a
     * compile warning that otherwise would be raised in this case.
     */